!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Page Title</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel='stylesheet' type='text/css' media='screen' href='main.css'>
    <script>
        function passwordAlg() {
            boolMay = false;
            boolMin = false;
            boolNum = false;
            contadorMayus = 0;
            contadorMinus = 0;
            contadorNum = 0;


            password = prompt("Introduce tu contraseña")

            //Verificar longitud de la contraseña
            if (password.length >= 8 && password.length <= 20) {
                alert("cantidad de caracteres correcta")
                var longitud = true
            }
            else {
                alert("DEBE SER ENTRE 8 Y 20 CARACTERES")
                var longitud = false
            }
            //Verificar mayusculas y minusculas en la contraseña

            for (let i = 0; i < password.length; i++) {
                char = password.charAt(i);
                if (/[A-Z]/.test(char)) {
                    contadorMayus++;
                    if (contadorMayus === 1) {
                        boolMay = true
                        break;
                    }
                }
                if (/[a-z]/.test(char)) {
                    contadorMinus++;
                    if (contadorMinus === 3) {
                        boolMin = true
                        break;
                    }

                }
                if (/[0-9]/.test(char)) {
                    contadorNum++;
                    if (contadorNum === 2) {
                        boolNum = true
                        break;
                    }

                }
                if (boolMay == true && boolMin == true && boolNum == true){
                    alert("")
                }
            }
        }
        passwordAlg();
    </script>
</head>

<body>
    <h1>Página de contraseña</h1>
</body>

</html>